#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private JYA.StopATR[] cacheStopATR;

		
		public JYA.StopATR StopATR(int periodFast, int periodSlow, int multiplier)
		{
			return StopATR(Input, periodFast, periodSlow, multiplier);
		}


		
		public JYA.StopATR StopATR(ISeries<double> input, int periodFast, int periodSlow, int multiplier)
		{
			if (cacheStopATR != null)
				for (int idx = 0; idx < cacheStopATR.Length; idx++)
					if (cacheStopATR[idx].PeriodFast == periodFast && cacheStopATR[idx].PeriodSlow == periodSlow && cacheStopATR[idx].Multiplier == multiplier && cacheStopATR[idx].EqualsInput(input))
						return cacheStopATR[idx];
			return CacheIndicator<JYA.StopATR>(new JYA.StopATR(){ PeriodFast = periodFast, PeriodSlow = periodSlow, Multiplier = multiplier }, input, ref cacheStopATR);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.JYA.StopATR StopATR(int periodFast, int periodSlow, int multiplier)
		{
			return indicator.StopATR(Input, periodFast, periodSlow, multiplier);
		}


		
		public Indicators.JYA.StopATR StopATR(ISeries<double> input , int periodFast, int periodSlow, int multiplier)
		{
			return indicator.StopATR(input, periodFast, periodSlow, multiplier);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.JYA.StopATR StopATR(int periodFast, int periodSlow, int multiplier)
		{
			return indicator.StopATR(Input, periodFast, periodSlow, multiplier);
		}


		
		public Indicators.JYA.StopATR StopATR(ISeries<double> input , int periodFast, int periodSlow, int multiplier)
		{
			return indicator.StopATR(input, periodFast, periodSlow, multiplier);
		}

	}
}

#endregion
